precision mediump float;
uniform sampler2D fromTexture;
uniform sampler2D toTexture;
uniform float progress;
varying vec2 aCoordinate;

void main(){
    vec4 from = texture2D(fromTexture, aCoordinate);
    vec4 to = texture2D(toTexture, aCoordinate);
    gl_FragColor = mix(from, to, smoothstep(0., 1., progress));
}
