precision mediump float;
uniform sampler2D fromTexture;
uniform sampler2D toTexture;
uniform float progress;
varying vec2 aCoordinate;

void main(){
    vec2 uv = aCoordinate;
    if(uv.x > progress) {
        uv.x = uv.x - progress;
        gl_FragColor = texture2D(fromTexture, uv);
    } else {
        uv.x = uv.x + 1.0 - progress;
        gl_FragColor = texture2D(toTexture, uv);
    }
}
