precision mediump float;
varying vec2 aCoordinate;
uniform float progress;
//first testure
uniform sampler2D vTexture;
//another texture
uniform sampler2D vSecondTexture;

uniform vec2 direction;

void main(){
    vec2 p = aCoordinate +  progress*sign(direction);
    float m =step(0.0, p.y) * step(p.y, 1.0) * step(0.0, p.x) * step(p.x, 1.0);
    vec4 color = mix(texture2D(vTexture, aCoordinate),texture2D(vSecondTexture, aCoordinate), m);
    gl_FragColor = vec4(color);
}
