precision mediump float;
uniform sampler2D fromTexture;
uniform sampler2D toTexture;
uniform float progress;
varying vec2 aCoordinate;

void main(){
    vec2 uv = aCoordinate;
    vec2 p=uv.xy/vec2(1.0).xy;
    vec4 a=texture2D(fromTexture,p);
    vec4 b=texture2D(toTexture,p);
    gl_FragColor = mix(a, b, step(1.0-p.x,progress));
}
